import type { RequestHandler } from '@sveltejs/kit';
import { Report } from '$lib/server/database';

export const POST = (async ({ params }) => {
	const report = await Report.findOne({ where: { url_id: params.url_id } });

	if (report == null) return new Response(null, { status: 400 });

	report.draft = false;
	await report.save();

	return new Response(null, { status: 200 });
}) satisfies RequestHandler;
